Skip to main content
GET
https://{tenantDomain}/api/v2
/
hooks
/
{id}
/
secrets
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Hooks.Secrets.Get(
        context.TODO(),
        "id",
    )
}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the hook to retrieve secrets from.

Pattern: ^[A-Za-z0-9-]*$

Response

Hook secrets successfully retrieved.

Hashmap of key-value pairs where the value must be a string.

{key}
string